Note: You are currently viewing documentation for Moodle 3.11. Up-to-date documentation for the latest stable version of Moodle may be available here: Environment - PHP extension sodium.

Environment - PHP extension sodium

From MoodleDocs


The php-sodium extension provides strong encryption capabilities in an easy and consistent way.

Note that, for sites not having the extension installed, a php-openssl based solution, considered suboptimal, is used, and this fallback will stop working in a few versions (Moodle 4.2). See MDL-71421 for more details.

Hence, it's highly recommended to start using php-sodium.

See also https://www.php.net/manual/book.sodium.php and https://py-ipv8.readthedocs.io/en/latest/preliminaries/install_libsodium.html